Bug 134165 - (IT#49923) The <limits> header does not provide NaN attributes and constants
The <limits> header does not provide NaN attributes and constants
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 16:57 EDT by Alexandre Oliva
Modified: 2013-08-09 01:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-29 16:57:14 EDT
The <limits> header defines default values for NaN-related booleans
and values, but no machine-specific config file overrides the
defaults, that are not appropriate for say x86.

I realize the implementation in say gcc 3.4 relies on a number of
compiler built-ins (macros and functions) that are probably too much
risk or work to back-port, but we could simply hard-code the correct
definitions for the macros in machine-specific headers for the
platforms we support.
Comment 2 Benjamin Kosnik 2004-10-04 18:36:45 EDT
FYI <limits> re-write took place between 3.2.x and 3.3.x. 

Alexandre's original point, however, that hand-edited bit can get put
in the file on a per-target basis.

-benjamin
Comment 3 RHEL Product and Program Management 2007-10-19 15:17:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.